Users
Unarchive User
Restore a User account that has been previously archived.
Authorization
Public key Secret key x-fngs-public-key<token>
In: header
x-fngs-secret-key<token>
In: header
Path Parameters
userId*string
Unique identifier of the User to archive.
Format
uuidRequest Body
application/json
PATCH /v0/users/:userId/unarchive Request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v0/users/123e4567-e89b-12d3-a456-426614174000/unarchive" \ -H "Content-Type: application/json" \ -d '{}'{ "status": "success", "data": { "success": true }}Archive User PATCH
Soft delete (archive) a User account. This action is reversible.
Get User's inventory items GET
Retrieve a complete list of items in the User's inventory with filtering options. This includes: - All purchased products - Subscription items - Limited-time access items Use filters to narrow down results by product type.